api_documentation: http://docs.ros.org/fuerte/api/arm_navigation_msgs/html
authors: Gil Jones
brief: arm_navigation_msgs
bugtracker: ''
depends:
- std_msgs
- actionlib_msgs
- trajectory_msgs
- sensor_msgs
- geometry_msgs
- tf
depends_on:
- book_stacking
- kdl_arm_kinematics
- tidyup_msgs
- simulation_object_tracker
- pr2_arm_kinematics_constraint_aware
- rcommander_pr2_gui
- reem_kinematics_constraint_aware
- life_test
- cop_collision_interface
- object_manipulation_msgs
- rviz_interaction_tools
- trajectory_filter_server
- srs_object_database_msgs
- cram_manipulation_knowledge
- tabletop_collision_map_processing
- katana_kinematics_constraint_aware
- location_costmap
- reem_teleop_coordinator
- vision_srvs
- katana_joint_movement_adapter
- trajectory_execution_monitor
- coverage_3d_executive
- planning_environment
- pr2_arm_navigation_tutorials
- iri_wam_arm_navigation
- coverage_3d_planning
- pr2_gripper_reactive_approach
- katana_openrave_test
- tidyup_actions
- lwr_markers
- cob_script_server
- move_arm
- collision_proximity_planner
- convert_pose
- orrosplanning
- pr2_manipulation_process_module
- distance_field
- octomap_server
- iri_door_detector
- household_objects_database_msgs
- katana_tutorials
- katana
- pr2_arm_navigation_actions
- mtconnect_cnc_robot_example
- collider
- semantic_map_collision_environment
- srs_states
- planner_modules_pr2
- mtconnect_arm_navigation
- darwin_autocharge
- spline_smoother
- hrl_pr2_lib
- tree_kinematics
- move_arm_warehouse
- collision_free_arm_trajectory_controller
- bullet_reasoning
- rail_cv_project
- srs_env_model_msgs
- katana_manipulation_tutorials
- sr_move_arm
- coverage_3d_tools
- collision_proximity
- srs_interaction_primitives
- assistive_teleop
- motion_planning_rviz_plugin
- darwin_icra12
- coverage_3d_arm_navigation
- maxwell_arm_navigation
- object_recognition_gui
- mapping_rviz_plugin
- collision_map
- iri_wam_move_arm
- katana_openrave_grasp_planner
- katana_trajectory_filter
- srs_arm_navigation_tests
- interpolated_ik_motion_planner
- chomp_motion_planner
- srs_env_model
- triangulate_point_cloud
- head_monitor_msgs
- darwin_arm_simple_nav
- tidyup_utils
- simple_arm_server
- object_manipulator
- ompl_ros_interface
description: "\n\n     arm_navigation_msgs\n\n  "
doc_job: doc-fuerte-arm_navigation
license: BSD
maintainers: ''
metapackages:
- arm_navigation
msgs:
- SyncPlanningSceneActionResult
- MoveArmResult
- AllowedCollisionEntry
- MultiDOFJointTrajectory
- MakeStaticCollisionMapGoal
- SyncPlanningSceneAction
- MoveArmActionFeedback
- ArmNavigationErrorCodes
- MakeStaticCollisionMapFeedback
- MoveArmFeedback
- MoveArmActionGoal
- JointLimits
- MoveArmGoal
- SyncPlanningSceneResult
- MotionPlanRequest
- MakeStaticCollisionMapAction
- Constraints
- LinkPadding
- MoveArmActionResult
- CollisionOperation
- CollisionMap
- OrientationConstraint
- OrderedCollisionOperations
- OrientedBoundingBox
- AllowedCollisionMatrix
- MultiDOFJointState
- DisplayTrajectory
- PositionConstraint
- CollisionObjectOperation
- RobotState
- SyncPlanningSceneGoal
- JointTrajectoryWithLimits
- RobotTrajectory
- ContactInformation
- CollisionObject
- SyncPlanningSceneActionFeedback
- MakeStaticCollisionMapResult
- MoveArmStatistics
- PlanningScene
- AllowedContactSpecification
- MakeStaticCollisionMapActionFeedback
- SyncPlanningSceneFeedback
- SimplePoseConstraint
- MoveArmAction
- VisibilityConstraint
- JointConstraint
- MultiDOFJointTrajectoryPoint
- AttachedCollisionObject
- MakeStaticCollisionMapActionResult
- Shape
- MakeStaticCollisionMapActionGoal
- WorkspaceParameters
- SyncPlanningSceneActionGoal
package_type: package
repo_name: arm_navigation
repo_url: ''
srvs:
- GetJointTrajectoryValidity
- GetPlanningScene
- FilterJointTrajectory
- SetPlanningSceneDiff
- GetRobotTrajectoryValidity
- GetStateValidity
- GetCollisionObjects
- FilterJointTrajectoryWithConstraints
- GetRobotState
- GetMotionPlan
timestamp: 1386846521.433893
url: http://ros.org/wiki/arm_navigation_msgs
vcs: hg
vcs_uri: https://kforge.ros.org/armnavigation/armnavigation
vcs_version: default
